﻿
#include "hmg.ch"

FUNCTION BUSCAX()

*----------------------------------------*
* (c) Mustafa Lpez  mustalopez@gmail.com
*----------------------------------------*

*--------------------------- TOOLTIP ----------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define WM_USER             0x400
#define TTM_SETTITLE       (WM_USER + 32)
#define TTI_NONE                0
#define TTI_INFO                1
#define TTI_WARNING             2
#define TTI_ERROR               3
*----------------------------------------------------------------*

  REQUEST DBFCDX , DBFFPT , DBFDBT
  RDDSETDEFAULT( "DBFCDX" )
  
  REQUEST HB_LANG_EN
  HB_LANGSELECT( 'EN' )  

  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  Set Language to English
  SET DELETED ON
  SET ESCAPE ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
*----------------------------------------------------------------*
  SET TOOLTIPSTYLE BALLOON
// this follow rows is required ONLY for HMG Minigui compatibility
#ifdef __MINGW32__
   Local a_TmpColor   := { 193, 224, 255} 
   SET TOOLTIPBACKCOLOR a_TmpColor
   SET TOOLTIPFORECOLOR {0,0,0 }
#endif

*----------------------------------------------------------------*
             DEFINE WINDOW Win_0xX             ;
                      AT 0,0                   ;
                      WIDTH 350                ;
                      HEIGHT 140               ;
                      TITLE 'Search by Date'   ; 
                      CHILD NOSYSMENU CURSOR "" NOSIZE NOMAXIMIZE
                      ON KEY ESCAPE ACTION ( ACTIVA_BOTO() , Win_0xX.Release )

*-----------------------------------------------------------------*
     
             LabelBox( 007, 010, 125, 24 ,"RzX","Search Date:",10 ,.T.,.T.,   ,    ,   ,000,000,177 ) 

*-----------------------------------------------------------------*
             @ 030,010 TEXTBOX TEXT_R8X           ;
                       VALUE DTOC(DATE())         ;
                       BACKCOLOR {255,255,255}    ;
                       WIDTH 320 HEIGHT 27        ;
                       TOOLTIP "Enter Date ..."   ;  
                       FONT "Verdana" SIZE 10 BOLD ITALIC ;
                       INPUTMASK '99/99/9999'     ;
                       ON ENTER CHERCARE()

*------------------------------  Botones--------------------------*

   DEFINE BUTTON chercaX  
        ROW    070 
        COL    120
        WIDTH  100
        HEIGHT 032 
        CAPTION "Accept"  
        ACTION CHERCARE()
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP 'Search by Date ...' 
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil  
        HELPID Nil
        FLAT .F.
        TABSTOP .T.
        VISIBLE .T.
        TRANSPARENT .F.
        PICTURE "Resource\Accept.bmp"
        PICTALIGNMENT LEFT   
    END BUTTON


   DEFINE BUTTON SalidaX    
        ROW    070 
        COL    230
        WIDTH  100
        HEIGHT 032 
        CAPTION "Cancel"  
        ACTION ( ACTIVA_BOTO() , Win_0xX.Release )
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Cancel ..."
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil  
        HELPID Nil
        FLAT .F.
        TABSTOP .T.
        VISIBLE .T.
        TRANSPARENT .F.
        PICTURE "Resource\Cancel.Bmp"
        PICTALIGNMENT LEFT   
    END BUTTON


   END WINDOW
*---------------------------------------------   TOOLTIP   ----------------------------------------------------*
       SendMessageString( GetFormToolTipHandle ("Win_0xX"), TTM_SETTITLE, TTI_INFO, "Attention" )
*--------------------------------------------------------------------------------------------------------------*

       CENTER WINDOW Win_0xX
       ACTIVATE WINDOW Win_0xX
RETURN NIL

*-------------------------------------------------------------*
PROCEDURE CHERCARE()
*-------------------------------------------------------------*
  IF FILE('RECORDER.CDX')
   FERASE('RECORDER.CDX')
  ENDIF

  SELECT 1
  USE RECORDER
  INDEX ON FECHA_P TAG RECORDER

  REINDEX

  xbarX = CTOD(Win_0xX.TEXT_R8X.value)

  SELECT 1
  USE RECORDER index RECORDER Via 'DBFCDX'

  RECORDER->(DbSeek(xbarX))

 IF Found()

       MsgExclamation('Date Found ','Attention !!!')   

       Win_0xX.TEXT_R8X.value:= DTOC(DATE())

       VIEWER()
    ELSE

      MsgExclamation('Date Not Found ','Attention !!!')

      Win_0xX.TEXT_R8X.value:= DTOC(DATE())

      RETURN

 ENDIF

RETURN





