﻿*----------------------------------------------------------------*
* MINIGUI - Harbour Win32 GUI library Demo  HMG 2.9.5            *
* Copyright � 2002 Roberto Lopez <harbourminigui@gmail.com>      *
* http://harbourminigui.googlepages.com/                         *
*----------------------------------------------------------------*

#include "hmg.ch"
#include "BoxLetterShoW.ch"
#include "AboutA.prg"
#include "BorraP.prg"
#include "BorraX.prg"
#include "BuscaX.prg"
#include "CreateZip.prg"
#include "Welcome.prg"

*-----------------------------------------*
* (c) Mustafa L�pez  mustalopez@gmail.com *
*-----------------------------------------*

*--------------------------- TOOLTIP ----------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define WM_USER             0x400
#define TTM_SETTITLE       (WM_USER + 32)
#define TTI_NONE                0
#define TTI_INFO                1
#define TTI_WARNING             2
#define TTI_ERROR               3
*----------------------------------------------------------------*

*---------------------- Color Calendario ------------------------*
*--------- Rutina cedida  Por Marcos Antonio Gambeta ------------*
#define MCM_FIRST         0x1000
#define MCM_SETCOLOR      (MCM_FIRST + 10)

#define MCSC_BACKGROUND     0   // cor de fundo (entre meses)
#define MCSC_TEXT           1   // cor do texto (datas)
#define MCSC_TITLEBK        2   // cor de fundo do título
#define MCSC_TITLETEXT      3   // cor de frente do título
#define MCSC_MONTHBK        4   // cor de fundo do mês
#define MCSC_TRAILINGTEXT   5   // cor dos dias que antecem e procedem o mês

// constantes de colores   

#define COLOR_YELLOW        RGB(255,255,0)
#define COLOR_PINK          RGB(255,128,192)
#define COLOR_RED           RGB(255,0,0)
#define COLOR_FUCHSIA       RGB(255,0,255)
#define COLOR_BROWN         RGB(128,64,64)
#define COLOR_ORANGE        RGB(255,128,64)
#define COLOR_GREEN         RGB(0,255,0)
#define COLOR_PURPLE        RGB(128,0,128)
#define COLOR_BLACK         RGB(0,0,0)
#define COLOR_WHITE         RGB(255,255,255)
#define COLOR_GRAY          RGB(128,128,128)
#define COLOR_BLUE          RGB(0,0,255)
*-----------------------------------------------------------------*
#define CRLF HB_UCHAR(13)+CHR(10) 
*-----------------------------------------------------------------*

  FUNCTION MAIN()

  SET CODEPAGE TO UNICODE   
 
  REQUEST DBFCDX , DBFFPT , DBFDBT
  RDDSETDEFAULT( "DBFCDX" )

*-----------------------------------------------------*
  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  Set Language to English  
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
  SET TOOLTIPSTYLE BALLOON
*--------------- Hacer Index --------------------------*
  CLOSE DATABASES
  IF FILE('Recorder.CDX')
   FERASE('Recorder.CDX')  
  ENDIF
  USE Recorder
  INDEX ON FECHA_P TAG Recorder 
  CLOSE DATABASES
  USE Recorder index Recorder Via 'DBFCDX' 
  COPY TO Recor_Dia  
  CLOSE DATABASES
  USE Recor_Dia 
  DELETE FOR FECHA_P <> DATE()
  PACK
  CLOSE DATABASES
*------------------------------------------------------*
  USE Recorder index Recorder Via 'DBFCDX' 
  COPY TO Recor_Plu  
  CLOSE DATABASES
  IF .NOT. FILE('control.mem')
    conprobaA := 0  
    SAVE TO control.mem ALL LIKE conprobaA*
  ENDIF

  RESTORE FROM control.mem ADDITIVE

  IF conprobaA > 0 
         FECHA_F = DATE()
         SET DATE ANSI
          
         dFdiaS = FECHA_F + conprobaA     
    
         SET DATE FRENCH      
         USE Recor_Plu    
         DELETE FOR FECHA_P <>  dFdiaS
         PACK
      ELSE 
         USE Recor_Plu    
         DELETE FOR FECHA_P <>  DATE()
         PACK
  ENDIF
  CLOSE DATABASES 

*----------------------------------------------------------------------------*
 Private dFFechaAA , dFFechaBB , nTextBox , fEchac , nWIDTH , nHEIGHT , ficher 
*----------------------------------------------------------------------------* 
 Private ProximaDate 
 Private ProxiNomDia 
 Private ProximoMes  
 Private DiadeHoy := DATE()
 Private aMesSX 
 Private DiaSem 
 Private provaxDiaZ  , provaxDiaX  , provaxDiaA  , ATox
 Private DprovaxDiaZ , DprovaxDiaX , DprovaxDiaA , DTox
*----------------------------------------------------------------------------* 
 Private FECHAX_F , dFdiaAS , conprobaA , FECHA1 
*----------------------------------------------------------------------------* 

 nWIDTH  := GetDesktopWidth()  -30
 nHEIGHT := GetDesktopHeight() -20

                   DEFINE WINDOW Win_3x                            ;
                      AT 0,0                                       ;    
                      WIDTH nWIDTH                                 ;   
                      HEIGHT nHEIGHT                               ;
                      BACKCOLOR {023,101,012}                      ;                             
                      TITLE ''                                     ;
                      ICON "Logo"                                  ;                     
                      MAIN NOSYSMENU CURSOR "" NOSIZE NOMAXIMIZE   ;
                      ON INIT ( WELCOME() , OpenTables() )         ;        
                      ON RELEASE CloseTables()
                      ON KEY F2 ACTION ABOUTA()  
                      ON KEY ESCAPE ACTION ( CreateZip() , Win_3x.Release )

                     DEFINE STATUSBAR
                        STATUSITEM " F2 About " width 15  
                        STATUSITEM " Remember- Post-It 1.05 - Mustafa López - mustalopez@gmail.com" width  710   
			CLOCK 
                        DATE
		     END STATUSBAR  
                                  
*----------------------   Rutina TIMER cedida por Lucho Miranda  ElSalnes@telefonica.net ---------------------*
          DEFINE TIMER Timer_1 INTERVAL 1000 ACTION ;        
                    (Win_3x.Title :="Remember- Post-It 1.05"+ SPACE(03)+" Date: " + DTOC(DATE()) + ;
                     SPACE(05) + "Time: "   + TIME() )                         
*-------------------------------------------------------------------------------------------------------------* 
   
*-----------------------------------------  Presentaci�n -----------------------------------------------------*
*------------------------------    Rutina cedida por Lucho Miranda   ElSalnes@telefonica.net -----------------*
*---------------------------------------- BoxShadow Presentation ---------------------------------------------*
  
          BoxShadow( 011,295, 650, 109 ,"00Sx" ,"00x", 100,009,000 ) 

          BoxShadow( 022,315, 325, 064 ,"01Sx" ,"01s", 202,254,255 ) 

          LetterShadow( 024, 348,"05"  ,"06","Remember Post-It",22, 100,135,255 )  
                                                    
          LetterShadow( 054, 416,"07"  ,"08","v 1.05 2018",13, 100,135,255 )

          LetterShadow( 035, 646,"09"  ,"10","Record and Remember",20, 255,234,000 )  
                 
          LabelBox(086, 380, 245, 020  ,"10sax","Copyright ©  All rights reserved",9 ,.T.,.T., 100,009,000 , 255,170,221 ) 

          LabelBox(073, 675, 245, 020  ,"11sax","mustalopez@gmail.com - Mustafa López",9 ,.T.,.T., 100,009,000 , 255,170,221 ) 

*--------------------------------------- cambio Lenguaje Ingles-----------------------------------------------------------------------*
 
  REQUEST HB_CODEPAGE_EN
  HB_SetCodePage('EN')

  REQUEST HB_LANG_EN
  HB_LANGSELECT( 'EN' )   
*----------------------------------*
  SET LANGUAGE TO English  
  SET CODEPAGE TO English  

*--------------------------------------------------------------------------------------------------------------*


*-----------------------------------------  Black Box Calendar ------------------------------------------------*      

          BoxShadow( 128, 027, 225, 225 ,"00" ,"11", 216,108,000 )      

*-------------------------------------------  Year -----------------------------------------------------------*
          @ 141,150 LABEL Label_01 VALUE HB_USUBSTR(DTOC(DATE()),7,4) CENTERALIGN ;  
                    FONT "Arial" SIZE 15 BOLD ITALIC BACKCOLOR  { 216,108,000 }  FONTCOLOR {255,255,255}   ;
                    WIDTH 090 HEIGHT 030 

*--------------------------------------  Viewer Months -------------------------------------------------------*
         aMesSX = CMONTH (DATE())          
     
          @ 141,050 LABEL Label_12z VALUE aMesSX ;     
                    FONT "Arial" SIZE 15 BOLD ITALIC BACKCOLOR  { 216 ,108 ,000 } FONTCOLOR {255,255,255} ;
                    WIDTH 115 HEIGHT 30   

*-------------------------------------------  Day ------------------------------------------------------------*
          @ 160,035 LABEL Label_02 VALUE HB_USUBSTR(DTOC(DATE()),1,2) CENTERALIGN ;
                    FONT "Arial" SIZE 90 BOLD ITALIC BACKCOLOR  { 216 ,108 ,000 } FONTCOLOR {255,255,255}   ;
                    WIDTH 190 HEIGHT 118

*--------------------------------------  Viewer Weekday  -----------------------------------------------------*
         DiaSem = HB_OEMTOANSI(CDOW(DATE()))  
        
          @ 285,025 LABEL Label_13z VALUE DiaSem  CENTERALIGN ;   
                   FONT "Arial" SIZE 12 BOLD ITALIC BACKCOLOR  { 216 ,108 ,000 }  FONTCOLOR {255,255,255} ;
                    WIDTH 210 HEIGHT 28 

*----------------------------    Courtesy routine: Lucho Miranda   ElSalnes@telefonica.net -------------------*   

         DEFINE TIMER Timer_2 INTERVAL 1000 ACTION Win_3x.label_44z.value := Time()              
 
         @ 310,024 LABEL label_44z CENTERALIGN ;    
                   FONT "Arial" SIZE 12 BOLD ITALIC BACKCOLOR  { 216 ,108 ,000 }  FONTCOLOR {255,255,255} ;
                   WIDTH 210 HEIGHT 28 

*-------------------------------------------- End Calendar Black ----------------------------------------------* 

*--------------------------------------------------------------------------------------------------------------*
*--------------------------------------------------------------------------------------------------------------*
*--------------------------------------------------------------------------------------------------------------*

*------------------------------------------- Box Calendar y Post-It -------------------------------------------*       


*---------------------------------  BoxShadow --->  MONTHCALENDAR & TEXTBOX -----------------------------------*
   
     **     BoxShadow( 128,873, 400, 590 ,"11q" ,"12q",027,049,161 )  // 016,000,100 )   

          BoxShadow( 128, 879, 395, 590 ,"11q" ,"12q", 017,035,127 )  // 016,000,100 )   

                    Win_3x.Label_11q.Enabled := .F.    // <---- Necesario si ponemos MONTHCALENDAR ó TEXTBOX
                    Win_3x.Label_12q.Enabled := .F.    // <---- Necessary if we MonthCalendar or TEXTBOX

          
*--------------------------------------------------------------------------------------------------------------*
 
         LetterShadow( 146, 1025,"1Sqz" ,"2Sqz","Enter New Day",10, 180,200,255 )  

**       NewBoxShadow( 178, 959, 233, 167 ,"01a" ,"02a","03a", .T. , .F. , .T., 016,000,100 , 128,126,255 )  

         NewBoxShadow( 178, 979, 200, 168 ,"01a" ,"02a","03a", .T. , .F. , .T., 016,000,100 , 128,126,255 )  


                    Win_3x.Label_01a.Enabled := .F.    // <---- Necesario si ponemos MONTHCALENDAR ó TEXTBOX
                    Win_3x.Label_02a.Enabled := .F.    // <---- Necessary if we MonthCalendar or TEXTBOX
                    Win_3x.Label_03a.Enabled := .F.    // <---- Necessary if we MonthCalendar or TEXTBOX

         DEFINE MONTHCALENDAR Date_1  
                ROW 175
                COL 978  //958
                WIDTH 370   
                HEIGHT 370  
                VALUE DiadeHoy    //DATE()
                FONTNAME "Arial"
                FONTSIZE 12
                TOOLTIP  "Choose Date ..."
                FONTBOLD .T.
                FONTITALIC .T. 
                FONTUNDERLINE .F. 
                FONTSTRIKEOUT .F. 
                VISIBLE .T.
                TODAY .T.
                TODAYCIRCLE  .T.
                WEEKNUMBERS .F.
                TABSTOP .T.
                ONCHANGE Proxima_Fecha() 
         END MONTHCALENDAR

*---------------------------------------------------------------------------------------------------------------*
*---------------------------------------------------------------------------------------------------------------*
   
         LetterShadow( 367, 960,"1SXz" ,"2SXz","Enter Name:",10, 180,200,255 )  


             @ 366, 1053 TEXTBOX TEXT_8      ;    
                    VALUE ""                 ;            
                    BACKCOLOR {180,200,255}  ;
                    WIDTH 132 HEIGHT 20      ;  
                    TOOLTIP "Enter Name"     ;
                    MAXLENGTH 25             ;
                    FONT "Verdana" SIZE 10 BOLD ITALIC 


         LetterShadow( 390, 960,"1Swz" ,"2Swz","Enter Time:",10, 180,200,255 )   


             @ 386, 1053 TEXTBOX TEXT_9      ;     
                    VALUE ""                 ;            
                    BACKCOLOR {180,200,255}  ;
                    WIDTH 55 HEIGHT 20       ;  
                    TOOLTIP "Enter Time"  ;
                    FONT "Verdana" SIZE 10 BOLD ;                          
                    INPUTMASK '99:99'                                         

*----------------------------------------------------------------------------------------------------------------*
 
         NewBoxShadow( 430, 929, 298, 211 ,"01b" ,"02b","03b", .T. , .F. , .T., 128,126,255 , 255,128,255 ) 

                    Win_3x.Label_01b.Enabled := .F.    // <---- Necesario si ponemos MONTHCALENDAR ó TEXTBOX
                    Win_3x.Label_02b.Enabled := .F.    // <---- Necessary if we MonthCalendar or TEXTBOX
                    Win_3x.Label_03b.Enabled := .F.    // <---- Necessary if we MonthCalendar or TEXTBOX
  
        @ 428,928 IMAGE image01a  picture "Resource\Post-It.jpg" width 290 height 204   // width 252 height 230  

*----------------------------------------------------------------------------------------------------------------*       
  
 private ProximaDatex := (Win_3x.Date_1.value) 
 private ProxiNumDiax := HB_USUBSTR(DTOC(ProximaDatex),1,2)
 private ProxiNomDiax := HB_OEMTOANSI( CDOW(ProximaDatex))  
 private ProximoMesx  := CMONTH ( ProximaDatex )    
 private ProximoAnox  := HB_USUBSTR(DTOC(ProximaDatex),7,4)
 private ProximoHorax := HB_ULEFT( TIME(), 5 ) 
 private fEchac      
 
*----------------------------------------------------------------------------------------------------------------*     
  
              DEFINE CONTEXT MENU
                      MENUITEM 'Cut'    ACTION send_CUT()           Image "Resource\Cut.jpg"
                      MENUITEM 'Copy'   ACTION send_COPY()          Image "Resource\Copy.jpg"
                      MENUITEM 'Paste'  ACTION send_paste()         Image "Resource\Paste.jpg"
                      MENUITEM 'Delete' Action _PushKey ( 32 )      Image "Resource\Delete.jpg"   
                      SEPARATOR
                      MENUITEM 'Select all' ACTION send_selectall() Image "Resource\Select_all.jpg"
             END MENU  
           
           fEchac := ProxiNomDiax + " ,"+SPACE(2) + ProxiNumDiax + SPACE(1) +  ProximoMesx + ;
                      SPACE(1)  + ProximoAnox  + SPACE(3) + ProximoHorax + CRLF + CRLF   
  
             DEFINE RICHEDITBOX RichEditBox_1
                    ROW    456  
                    COL    946    
                    WIDTH  255  
                    HEIGHT 158  
                    VALUE  fEchac                                   
                    FONTNAME "Arial"
                    FONTSIZE 10
                    TOOLTIP "Enter Text ..."
                    ONCHANGE Nil
                    ONGOTFOCUS Nil    
                    ONLOSTFOCUS Nil             
                    FONTBOLD .T.
                    FONTITALIC .T.
                    FONTUNDERLINE .F.     
                    FONTSTRIKEOUT .F.    
                    HELPID Nil
                    TABSTOP .T.   
                    VISIBLE .T.
                    READONLY .F.           
                    BACKCOLOR {253,254,126 } 
            END RICHEDITBOX 

*-----------------------------------------------------------------------------------------------------------*
  
         LabelBox(662, 965, 300, 020 ,"1XAz","[ Copy ->  Ctrl+C ]   [ Paste -> Ctrl + V ]",9 ,.T.,.T., 016,000,100 , 180,200,255 )

*------------------------------------- Exit  Box Calendar y Post-It -----------------------------------------*   
                
*----------------------------------------- Box Browse -------------------------------------------------------*
*---------------------------    Rutina cedida por Lucho Miranda   ElSalnes@telefonica.net -------------------*
 
            BoxShadow(423, 025, 533, 223 ,"03z" ,"03zX", 255 , 189 ,061 ) 
 
                Win_3x.Label_03z.Enabled  := .F.  
                Win_3x.Label_03zX.Enabled := .F.   
                    
*------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------*  
 
           LabelBox(428, 260, 275, 40 ,"2Xz","Total Post-It",11 ,.T.,.T., 255, 189, 061, 000, 000, 177 )

*------------------------------------------------------------------------------------------------------------*

   Private fColor := { || IF ( recno()/2 == int(recno()/2) , { 000,255,020 } , { 015,000,255 } ) }  
   Private bColor := { || IIF( This.CellRowIndex / 2 == INT( This.CellRowIndex / 2 ), { 255, 202, 149 } , { 080, 240, 006 } ) } 

    
      SELECT 1 
      USE Recorder INDEX Recorder
      DbGoTop()   

      ficher := 'Recorder'

      DEFINE BROWSE Browse_1
        ROW    452
        COL    040
        WIDTH  495
        HEIGHT 165
        VALUE NIL  
        WIDTHS { 138,080,079,074,074,044,0}   
        HEADERS { 'Name','Day','Months','Date_Day','Date_Prox','Time','Notes'}
        WORKAREA  &ficher              
        FIELDS { 'Recorder->NOMBRE','Recorder->DIA','Recorder->MES','Recorder->FECHA_D','Recorder->FECHA_P','Recorder->HORA','Recorder->NOTAS' }
        FONTNAME "Arial"
        FONTSIZE 9               
        TOOLTIP "Total Post-It"
        ONCHANGE ArribAbajo()           
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        FONTBOLD .T.
        FONTITALIC .T.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONDBLCLICK MiraxDias()  
        ALLOWEDIT .F.                  
        ALLOWAPPEND .F.               
        ONHEADCLICK Nil
        ALLOWDELETE .F.                  
        HELPID Nil
        VALID Nil
        VALIDMESSAGES Nil
        LOCK .T.                          
        VSCROLLBAR .F.   
        DYNAMICFORECOLOR { fcolor, fcolor, fcolor, fcolor, fcolor , fcolor, fcolor } 
        DYNAMICBACKCOLOR { bColor, bColor, bColor, bColor, bColor , bColor, bColor }
        INPUTMASK Nil
        FORMAT Nil
        WHEN Nil
        BACKCOLOR {197,214,232}                	
        FONTCOLOR {128,000,192}           
        IMAGE Nil
        JUSTIFY { BROWSE_JTFY_LEFT,BROWSE_JTFY_LEFT, BROWSE_JTFY_LEFT,BROWSE_JTFY_CENTER, BROWSE_JTFY_CENTER,BROWSE_JTFY_LEFT , BROWSE_JTFY_CENTER}
        NOLINES .F.
        READONLYFIELDS Nil
      END BROWSE

*------------------------------------------------------------------------------------------------------------*
 
     BoxShadow(423, 580, 277, 223 ,"03Az" ,"03AzX", 253 , 209 , 209 )    

                    Win_3x.Label_03Az.Enabled  := .F.  
                    Win_3x.Label_03AzX.Enabled := .F.   
                    
    DEFINE EDITBOX Edit_11
        ROW    421 
        COL    578 
        WIDTH  269
        HEIGHT 214
        VALUE ""
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Notes"
        ONCHANGE Nil
        ONGOTFOCUS  Nil 
        ONLOSTFOCUS Nil 
        FONTBOLD .T.
        FONTITALIC .T.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        HELPID Nil
        TABSTOP .T.
        VISIBLE .T.
        READONLY .T.
        HSCROLLBAR .F.
        VSCROLLBAR .F.
        DISABLEDBACKCOLOR  { 253, 209, 209 }      
        DISABLEDFONTCOLOR  { 000, 000, 000 }      
    END EDITBOX
 
*------------------------------------------------------------------------------------------------------------*
         BoxShadow( 128, 580, 277, 225 ,"03q" ,"03qX", 255 , 189 ,061 ) 

                    Win_3x.Label_03q.Enabled  := .F.      
                    Win_3x.Label_03qX.Enabled := .F.  

*------------------------------------------------------------------------------------------------------------*
 
        LabelBox(138, 642, 280, 40 ,"3Xz","Post-It Day"+SPACE(2)+DTOC(DATE()),11 ,.T.,.T., 255, 189, 061, 000, 000, 177 )
         
     
        SELECT 2
        USE Recor_Dia  
        DbGoTop()   

      DEFINE BROWSE Browse_2
        ROW    162
        COL    592 
        WIDTH  245  
        HEIGHT 165
        VALUE NIL  
        WIDTHS { 84 , 84 , 69 }   
        HEADERS { 'Date_Day' , 'Date_Prox' , 'Notes' } 
        WORKAREA Recor_Dia                    
        FIELDS { 'Recor_Dia->FECHA_D' , 'Recor_Dia->FECHA_P' , 'Recor_Dia->NOTAS' }
        FONTNAME "Arial"
        FONTSIZE 9               
        TOOLTIP 'Post-It Date:'+SPACE(2)+DTOC(DATE()) 
        ONCHANGE ArribAbajo()           
        FONTBOLD .T.
        FONTITALIC .T.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONDBLCLICK MiraxDias()  
        ALLOWEDIT .T.                  
        ALLOWAPPEND .F.               
        ALLOWDELETE .F.                  
        LOCK .T.                          
        VSCROLLBAR .F.   
        BACKCOLOR {197,214,232}                	
        FONTCOLOR {128,000,192}           
     END BROWSE
       
*-------------------------------------------------------------------------------------------------------------*
*---------------------------------------- Box Browse Alert ---------------------------------------------------*

          BoxShadow( 128, 280, 277, 225 ,"04z" ,"04zX", 255 , 189 ,061 )  

                    Win_3x.Label_04z.Enabled := .F.      
                    Win_3x.Label_04zX.Enabled := .F.       
                   
*-------------------------------------------------------------------------------------------------------------*
   
          RESTORE FROM control.mem ADDITIVE
 
          FECHAX_F = DATE()

          SET DATE ANSI
          
          dFdiaAS = FECHAX_F + conprobaA    

          SET CENTURY ON
          SET DATE FRENCH

          FECHA1 = DTOC(dFdiaAS)

          LabelBox(138, 340, 200, 40 ,"4Xz","Post-It Day"+ SPACE(2) + ALLTRIM(FECHA1) ,11 ,.T.,.T., 255, 189, 061, 000, 000, 177 )
              
          SELECT 3
          USE Recor_Plu
          DbGoTop()   

      DEFINE BROWSE Browse_3
        ROW    162
        COL    290
        WIDTH  245
        HEIGHT 165
        VALUE NIL  
        WIDTHS { 84 , 84 , 69 }   
        HEADERS { 'Date_Day' , 'Date_Prox' , 'Notes' } 
        WORKAREA Recor_Plu                    
         FIELDS { 'Recor_Plu->FECHA_D' , 'Recor_Plu->FECHA_P' , 'Recor_Plu->NOTAS' }
        FONTNAME "Arial"
        FONTSIZE 9               
        TOOLTIP 'Warning for next date:' +SPACE(2) + ALLTRIM(FECHA1)
        ONCHANGE ArribAbajo()           
        FONTBOLD .T.
        FONTITALIC .T.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONDBLCLICK MiraxDias()  
        ALLOWEDIT .T.                  
        ALLOWAPPEND .F.               
        ALLOWDELETE .F.                  
        LOCK .T.                          
        VSCROLLBAR .F.   
        BACKCOLOR {197,214,232}                	
        FONTCOLOR {128,000,192}           
     END BROWSE

 
*------------------------------------------------------------------------------------------------------------*                      

          @ 359,364 BUTTON Alert                    ;   
                    CAPTION 'Change Alert'          ;  
                    PICTURE 'Resource\Calen.Bmp'    ;                
                    TOOLTIP 'Change Alert Days'     ;  
                    WIDTH 106 HEIGHT 53             ; 
                    ACTION  ( ANULAR_BOTO() , CambiaF() )   

*------------------------------------------------------------------------------------------------------------*

*------------------------------------  Botones --------------------------------------------------------------*        

                @ 660,065 BUTTON Buscar             ;      
                          CAPTION 'Search'          ;
                          PICTURE 'Resource\Search.Bmp'  ;                        
                          TOOLTIP 'Search by Date'  ;
                          WIDTH 105 HEIGHT 53       ; 
                          ACTION ( ANULAR_BOTO() , LIMPIAX() , BUSCAX() )
                
                @ 660,175 BUTTON Borrar             ;           
                          CAPTION 'Delete Date'     ;  
                          PICTURE 'Resource\Erase1.Bmp'  ;             
                          TOOLTIP 'Delete by Date'  ;                                      
                          WIDTH 105 HEIGHT 53       ; 
                          ACTION ( ANULAR_BOTO() , LIMPIAX() , BORRAX() )                        

                @ 660,285 BUTTON BorrarP            ;         
                          CAPTION 'Delete Previous' ; 
                          PICTURE 'Resource\Erase2.Bmp'  ;  
                          TOOLTIP 'Delete Date: <='+SPACE(2)+DTOC(DATE()) ;                                      
                          WIDTH 105 HEIGHT 53       ; 
                          ACTION ( ANULAR_BOTO(), LIMPIAX() , BORRAP() )                           

                @ 660,395 BUTTON Guardar            ;            
                          CAPTION 'Save Notes'      ;
                          PICTURE 'Resource\Grabar.Bmp'  ;
                          TOOLTIP 'Save Notes and Cleaning';
                          WIDTH 105 HEIGHT 53       ; 
                          ACTION ( ALTAK() , NotaFecha() )         
   
               @ 660,745 BUTTON Salir               ;        
                         CAPTION 'Exit'             ;  
                         PICTURE 'Resource\Exit.bmp'     ;                  
                         TOOLTIP 'Exit ...'         ; 
                         WIDTH 105 HEIGHT 53        ; 
                         ACTION Salir_Sistema()


*---------------------------------------------------------------------*
*---------------------------  Up-Down  -------------------------------*
*---------------------------------------------------------------------*

 
     DEFINE BUTTON But_01  
         ROW 676   
         COL 580        
         WIDTH 30
         HEIGHT 30 
         PICTURE "resource/01.bmp"                 
         TOOLTIP 'First'   
         ACTION( BolteoX()  , dbGotop(), Win_3x.Browse_1.Value := RecNo(), MiraxDias() )         
    END BUTTON

    DEFINE BUTTON But_02 
         ROW 676 
         COL 610         
         WIDTH 30
         HEIGHT 30 
         PICTURE "resource/03.bmp"               
         TOOLTIP 'Previous'
         ACTION( dbSkip( -1 ), Win_3x.Browse_1.Value := RecNo() , MiraxDias())
    END BUTTON
 
    DEFINE BUTTON But_03
         ROW 676
         COL 640        
         WIDTH 30
         HEIGHT 30 
         PICTURE "resource/04.bmp"              
         TOOLTIP 'Next'
         ACTION( dbSkip(), if ( Eof(), dbGobottom(), Nil ), Win_3x.Browse_1.Value := RecNo(), MiraxDias() )
    END BUTTON   

    DEFINE BUTTON But_04
         ROW 676
         COL 670      
         WIDTH 30
         HEIGHT 30 
         PICTURE "resource/06.bmp"                   
         TOOLTIP 'Last' 
         ACTION( BolteoX()  ,dbGoBottom(), Win_3x.Browse_1.Value := RecNo() , MiraxDias())   
     END BUTTON   

     DEFINE FRAME frame_01
         ROW    658          
         COL    575   
         WIDTH  130   
         HEIGHT 055 
         FONTNAME "Arial"
         FONTSIZE 9
         FONTBOLD .T.
         FONTITALIC .T.
         FONTUNDERLINE .F.
         FONTSTRIKEOUT .F.
         CAPTION "Up-Down"
         BACKCOLOR { 023,101,012 }    
         FONTCOLOR { 250,250,250 }
         OPAQUE .T.  
   END FRAME
 

*---------------------------------------------------------------------*
*--------------------------- End  Up-Down  ---------------------------*
*---------------------------------------------------------------------*              

   END WINDOW

*---------------------------------------------   TOOLTIP   ----------------------------------------------------*

       SendMessageString( GetFormToolTipHandle ("Win_3x"), TTM_SETTITLE, TTI_INFO, "Attention" )  

*---------------------------------------    MONTHCALENDAR  ----------------------------------------------------*

        SendMessage( GetControlHandle("Date_1 ","Win_3x"), MCM_SETCOLOR, MCSC_TEXT        , COLOR_YELLOW )
	SendMessage( GetControlHandle("Date_1 ","Win_3x"), MCM_SETCOLOR, MCSC_TITLEBK     , COLOR_BROWN  )
	SendMessage( GetControlHandle("Date_1 ","Win_3x"), MCM_SETCOLOR, MCSC_TITLETEXT   , COLOR_GREEN  )
	SendMessage( GetControlHandle("Date_1 ","Win_3x"), MCM_SETCOLOR, MCSC_MONTHBK     , COLOR_ORANGE )
	SendMessage( GetControlHandle("Date_1 ","Win_3x"), MCM_SETCOLOR, MCSC_TRAILINGTEXT, COLOR_WHITE  )

*--------------------------------------------------------------------------------------------------------------*

       SETWINDOWCURSOR ( Win_3x.Salir.Handle, "resource\SmoothHand.cur")

       CENTER WINDOW Win_3x
       MAXIMIZE WINDOW Win_3x
       ACTIVATE WINDOW Win_3x
       Win_3x.RichEditBox_1.SetFocus  
RETURN NIL


*------------------------------------------------------------*
 Function BolteoX()         
*------------------------------------------------------------*
    
  SELECT 1
  USE Recorder    
 
  SET ORDER TO TAG ORDEN01

  Win_3x.Browse_1.value := Recorder->(recno())

  Win_3x.Browse_1.Value := RecNo()    
   
RETURN 
*------------------------------------------------------------*
 Function ArribAbajo()         
*------------------------------------------------------------*
    
     Win_3x.EDIT_11.value := RECORDER->NOTAS
            
 Return 
*--------------------------------------*
PROCEDURE NotaFecha()  
*--------------------------------------*
*-----------------------------------------*
 private ProximaDatex := (Win_3x.Date_1.value) 
 private ProxiNumDiax := HB_USUBSTR(DTOC(ProximaDatex),1,2)
 private ProxiNomDiax := HB_OEMTOANSI( CDOW(ProximaDatex))  
 private ProximoMesx  := CMONTH ( ProximaDatex )    
 private ProximoAnox  := HB_USUBSTR(DTOC(ProximaDatex),7,4)
 private ProximoHorax := HB_ULEFT( TIME(), 5 ) 
 private fEchac      
 
*-----------------------------------------*

              
  fEchac := ProxiNomDiax + " ,"+SPACE(2) + ProxiNumDiax + SPACE(1) +  ProximoMesx + ;
                      SPACE(1)  + ProximoAnox  + SPACE(3) + ProximoHorax + CRLF + CRLF   

  Win_3x.TEXT_8.value := " "
  Win_3x.TEXT_9.value := " "
  Win_3x.RichEditBox_1.Value :=  fEchac 

RETURN 

*-----------------------------------------*
PROCEDURE ANULAR_BOTO()
*-----------------------------------------*
      Win_3x.RichEditBox_1.Enabled := .F.  
      Win_3x.Buscar.Enabled  := .F.  
      Win_3x.Borrar.Enabled  := .F. 
      Win_3x.BorrarP.Enabled := .F.   
      Win_3x.Guardar.Enabled := .F.  
      Win_3x.Salir.Enabled   := .F.  
      Win_3x.Alert.Enabled   := .F. 
      Win_3x.Edit_11.Enabled := .F.    
      Win_3x.But_01.Enabled  := .F.     
      Win_3x.But_02.Enabled  := .F.     
      Win_3x.But_03.Enabled  := .F.  
      Win_3x.But_04.Enabled  := .F.        
RETURN     
*----------------------------------------*

*----------------------------------------*
PROCEDURE ACTIVA_BOTO()
*----------------------------------------*
      Win_3x.RichEditBox_1.Enabled := .T.  
      Win_3x.Buscar.Enabled  := .T.  
      Win_3x.Borrar.Enabled  := .T. 
      Win_3x.BorrarP.Enabled := .T.   
      Win_3x.Guardar.Enabled := .T.  
      Win_3x.Salir.Enabled   := .T.  
      Win_3x.Alert.Enabled   := .T. 
      Win_3x.Edit_11.Enabled := .T.      
      Win_3x.But_01.Enabled  := .T.     
      Win_3x.But_02.Enabled  := .T.     
      Win_3x.But_03.Enabled  := .T.  
      Win_3x.But_04.Enabled  := .T.      
RETURN 

*-------------------------------------------------------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------------------------------------------------------*

*----------------------------------------*
Procedure CambiaF() 
*----------------------------------------*

     DEFINE WINDOW Form_1                    ;
          AT 460,372                         ;
          WIDTH 275 HEIGHT 159               ;
          TITLE "Alert Day Change"           ;
          MODAL NOSYSMENU CURSOR ""                                      
          ON KEY ESCAPE ACTION ( ACTIVA_BOTO() , Form_1.release )     
  
          RESTORE FROM control.mem ADDITIVE
                  
         IF conprobaA  = 1

          LabelBox( 020, 054, 200, 24 ,"0","Last Warning:" + SPACE(2) + STR(conprobaA) + SPACE(3) + "Day",10 ,.T.,.T.,   ,    ,   ,000,000,177 ) 
    
         ELSE

          LabelBox( 020, 054, 200, 24 ,"0","Last Warning:" + SPACE(2) + STR(conprobaA) + SPACE(2) + "Days",10 ,.T.,.T.,   ,    ,   ,000,000,177 ) 
   
         ENDIF

         LabelBox( 050, 054, 125, 24 ,"1","New Alert:",10 ,.T.,.T.,   ,    ,   ,000,000,177 ) 
                                          
         @ 050,145 TEXTBOX Texto_01             ;                          
                   BACKCOLOR {180,200,255}      ;
                   WIDTH 55 HEIGHT 20           ;  
                   TOOLTIP "Enter New Number"   ;
                   FONT "Verdana" SIZE 10 BOLD ITALIC ;                           
                   NUMERIC INPUTMASK '999'      ;              
                   ON ENTER NewAlert()     

    DEFINE BUTTON Button_1 
        ROW    083  
        COL    030
        WIDTH  100
        HEIGHT 032 
        CAPTION "Accept"  
        ACTION NewAlert()
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Accept"
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil  
        HELPID Nil
        FLAT .F.
        TABSTOP .T.
        VISIBLE .T.
        TRANSPARENT .F.
        PICTURE "Resource\Accept.bmp"
        PICTALIGNMENT LEFT   
    END BUTTON

    DEFINE BUTTON Button_2  
        ROW    083 
        COL    140
        WIDTH  100
        HEIGHT 032  
        CAPTION "Cancel"    
        ACTION ( ACTIVA_BOTO() , Form_1.release ) 
        FONTNAME "Arial"
        FONTSIZE 9
        TOOLTIP "Cancel ..."
        FONTBOLD .F.
        FONTITALIC .F.
        FONTUNDERLINE .F.
        FONTSTRIKEOUT .F.
        ONGOTFOCUS Nil
        ONLOSTFOCUS Nil
        HELPID Nil
        FLAT .F.
        TABSTOP .T.
        VISIBLE .T.
        TRANSPARENT .F.
        PICTURE "Resource\Cancel.bmp"
        PICTALIGNMENT LEFT   
     END BUTTON
        
END WINDOW

*---------------------------------------------   TOOLTIP   ----------------------------------------------------*

       SendMessageString( GetFormToolTipHandle ("Form_1"), TTM_SETTITLE, TTI_INFO, "Attention" )  

*---------------------------------------------   TOOLTIP   ----------------------------------------------------*

 Form_1.Texto_01.Enabled := .T.
 Form_1.Texto_01.SetFocus

      CENTER WINDOW Form_1
      ACTIVATE WINDOW Form_1
 RETURN NIL

*---------------------------------------*
PROCEDURE  NewAlert()
*---------------------------------------*
  conprobaA := (Form_1.Texto_01.value)

  IF conprobaA > 365 
     MsgSTOP("New Alert: It is larger than 365 days"+CRLF+CRLF+; 
              "Days incorrect number","Attention Not Correct Days !!!")         
     RETURN
  ENDIF

  SAVE TO control.mem ALL LIKE conprobaA*
  
  RESTORE FROM control.mem ADDITIVE


   IF conprobaA  = 1
        
       Form_1.Label_0.value :=  "Last Alert : " + SPACE(6) + STR(conprobaA) + SPACE(3) + 'Day'   // Ultima Alerta   
   ELSE

       Form_1.Label_0.value :=  "Last Alert : " + SPACE(7) + STR(conprobaA) + SPACE(2) + 'Days'   // Ultima Alerta 
   
   ENDIF
*--------------------------------------------------------------------*
          FECHAX_F = DATE()
          SET DATE ANSI
          dFdiaAS = FECHAX_F + conprobaA    
          SET CENTURY ON
          SET DATE FRENCH
          FECHA1 = DTOC(dFdiaAS)
          Win_3x.Label_4Xz.value := "Post-It Day"+ SPACE(2) + ALLTRIM(FECHA1) 
          Win_3x.Browse_3.REFRESH 
 
CLOSE DATABASES
*-------------------------------------------------------------------*
   USE Recor_Plu
   DELETE FOR NOMBRE <> space(1)
   PACK
   USE Recorder index Recorder Via 'DBFCDX' 
   COPY TO Recor_Plu  
   CLOSE DATABASES
       
   IF conprobaA > 0 
         FECHA_F = DATE()
         SET DATE ANSI
          
         dFdiaS = FECHA_F + conprobaA     
    
         SET DATE FRENCH      
         USE Recor_Plu    
         DELETE FOR FECHA_P <>  dFdiaS
         PACK
      ELSE 
         USE Recor_Plu  
         DELETE FOR FECHA_P <>  DATE()
         PACK
  ENDIF
  CLOSE DATABASES 
  SELECT 1
  USE Recorder index Recorder Via 'DBFCDX' 

   Win_3x.Browse_1.value := Recorder->(recno())
   Win_3x.Browse_1.Value := RecNo()    


  SELECT 3
  USE Recor_Plu 
  APPEND BLANK

   DELETE FOR NOMBRE  = space(1)
   PACK
  
   Win_3x.Browse_3.value := Recor_Plu->(recno())
   Win_3x.Browse_3.Value := RecNo()    
   Win_3x.Browse_3.REFRESH 

   Form_1.Texto_01.value :=  0               
   Form_1.Label_0.SetFocus
   Form_1.Texto_01.SetFocus

RETURN NIL

*---------------------------------------*
Procedure Salir_Sistema() 
*---------------------------------------*

    IF MsgYesNo("Want to Exit the System ?? ","Exit the System") 
      Win_3x.Buscar.Enabled  := .F.  
      Win_3x.Borrar.Enabled  := .F. 
      Win_3x.BorrarP.Enabled := .F.   
      Win_3x.Guardar.Enabled := .F.  
      Win_3x.Salir.Enabled   := .F.  
      Win_3x.Alert.Enabled   := .F.  
      CreateZip()
      RELEASE WINDOW ALL
    ENDIF 
 
Return NIL

*---------------------------------------*
Procedure OpenTables() 
*---------------------------------------*
    CLOSE DATABASES 
    SELECT 1
    USE Recorder NEW EXCLUSIVE
    INDEX ON FECHA_P TAG ORDEN01 TO Recorder.cdx
    CLOSE DATABASES 
    SELECT 1
    USE Recorder index Recorder Via 'DBFCDX' 
    DELETE FOR NOTAS <= " "  
    DELETE FOR FECHA_P := CTOD("  /  /    ")      
    PACK
    COPY TO Recor_Dia
    SELECT 2
    USE Recor_Dia 
    DELETE FOR FECHA_P <> DATE()
    DELETE FOR NOTAS <= " "  
    PACK
    CLOSE DATABASES

    Win_3x.Browse_1.value:= 1
    Win_3x.Browse_1.Refresh  
    Win_3x.Browse_2.Refresh
    Win_3x.Browse_3.Refresh 

    Win_3x.Browse_1.SetFocus
    Win_3x.Browse_2.SetFocus
    Win_3x.Browse_3.SetFocus

    SELECT 1
    USE Recorder index Recorder Via 'DBFCDX'   
    DELETE FOR NOTAS <= " "  
    DELETE FOR FECHA_P = CTOD("  /  /    ")        
    PACK                                         
 
    Win_3x.Browse_1.value:= 1
 

    SELECT 2
    USE Recor_Dia  
    
    GO BOTTOM 

    Win_3x.Browse_2.Value := RecNo()

    SELECT 3
    USE Recor_Plu 

    GO BOTTOM 
    
    Win_3x.Browse_3.Value := RecNo()
    Win_3x.Browse_1.SetFocus
  
RETURN  
  
*---------------------------------------*
Procedure CloseTables()
*---------------------------------------*
    USE
RETURN 

*---------------------------------------*
PROCEDURE ALTAK()
*---------------------------------------*

  dFFechaAA := (Win_3x.Date_1.value) 

  IF (Win_3x.Date_1.value) = DATE()           
      MsgSTOP('Date:'+SPACE(1)+ DTOC(DATE())+CRLF+'Not Correct','Attention !!!')                     
      Win_3x.RichEditBox_1.value :=  fEchac      
      Win_3x.RichEditBox_1.SetFocus              
     RETURN                     
  ENDIF

 IF (Win_3x.Date_1.value) <> DATE()  
     FECHA_UNO()                  
  ENDIF

Return

*---------------------------------------*
PROCEDURE FECHA_UNO()
*---------------------------------------*

  dFFechaAA := (Win_3x.Date_1.value) 
  dFFechaBB := ALLTRIM(Win_3x.TEXT_8.value)
 
  SELECT 1
  USE Recorder index Recorder Via 'DBFCDX'  

  Recorder->(DbSeek( dFFechaAA, dFFechaBB  )) 
 
  IF FOUND()

      IF MsgYesNo("File exists, Save ? ","High Post-It ")  
          ACTUALIZA()
        ELSE
           Win_3x.Date_1.value := DATE()
           Win_3x.TEXT_8.value := DTOC(DATE())         
           Win_3x.RichEditBox_1.value := fEchac           
           Win_3x.RichEditBox_1.SetFocus     
 
         RETURN         
      ENDIF 
  ENDIF

  IF .NOT. FOUND()
      ALTAX()
  ENDIF

 RETURN NIL

*---------------------------------------*
PROCEDURE ACTUALIZA()
*---------------------------------------*
  SELECT 1
  USE Recorder index Recorder Via 'DBFCDX'  
  DELETE FOR FECHA_P = dFFechaAA 
  PACK
     ALTAX()
 RETURN


*---------------------------------------*
PROCEDURE ALTAX()
*---------------------------------------*
  dFFechaAA := (Win_3x.Date_1.value) 
*---------------------------------------*

  PRIVATE := ProximaDate := (Win_3x.Date_1.value) 
  PRIVATE := ProxiNomDia := HB_OEMTOANSI( CDOW(ProximaDate))  
  PRIVATE := ProximoMes  := CMONTH ( ProximaDate )    

  SELECT 1
  USE Recorder         
  APPEND BLANK

  REPLACE FECHA_D WITH DATE() 
 
  IF (Win_3x.Date_1.value) <> DATE()     
    REPLACE FECHA_P WITH dFFechaAA   
  ENDIF

   REPLACE NOMBRE  WITH HMG_UPPER(Win_3x.TEXT_8.value)  
   REPLACE DIA     WITH ProxiNomDia     
   REPLACE MES     WITH ProximoMes     
   REPLACE HORA    WITH (Win_3x.TEXT_9.value)  
   REPLACE NOTAS   WITH (Win_3x.RichEditBox_1.value)           

   Win_3x.Date_1.value := DATE()
   Win_3x.RichEditBox_1.value := fEchac           
                                   
   DELETE FOR NOTAS <= " " 
   DELETE FOR FECHA_P = CTOD("  /  /    ")    
   PACK
 
   GO BOTTOM

   SET ORDER TO TAG ORDEN01

   Win_3x.Browse_1.value := RECORDER->(recno())
   Win_3x.Browse_1.Value := RecNo()
   Win_3x.Browse_2.Value := RecNo()
   Win_3x.Browse_3.Value := RecNo()
   Win_3x.RichEditBox_1.SetFocus              
   
RETURN 

*---------------------------------------*
PROCEDURE VIEWER()
*---------------------------------------*

    Win_3x.Date_1.value := FECHA_P
    Win_3x.Edit_11.value := NOTAS
    Win_3x.Browse_1.Value := RecNo()

RETURN

*---------------------------------------*
PROCEDURE LIMPIAX()
*---------------------------------------*  

    Win_3x.Date_1.value := DATE()
    Win_3x.TEXT_8.value := "" 
    Win_3x.TEXT_9.value := " "   
    Win_3x.RichEditBox_1.value := fEchac             
    Win_3x.RichEditBox_1.SetFocus                  

RETURN

*-----------------------------*
FUNCTION Proxima_Fecha() 
*-----------------------------*
    
  ProximaDate := Win_3x.Date_1.value
  ProxiNomDia := HB_OEMTOANSI( CDOW(ProximaDate))  
  ProximoMes  := CMONTH ( ProximaDate )  

  provaxDiaZ :=  HB_USUBSTR(DTOC( ProximaDate ),1,2)  
  provaxDiaX :=  HB_USUBSTR(DTOC( ProximaDate ),4,2)  
  provaxDiaA :=  HB_USUBSTR(DTOC( ProximaDate ),7,4)  

  Atox :=  provaxDiaZ+ provaxDiaX+ provaxDiaA

  DprovaxDiaZ :=  HB_USUBSTR(DTOC( DATE() ),1,2)  
  DprovaxDiaX :=  HB_USUBSTR(DTOC( DATE() ),4,2)  
  DprovaxDiaA :=  HB_USUBSTR(DTOC( DATE() ),7,4)  

  Dtox :=  DprovaxDiaZ+ DprovaxDiaX+ DprovaxDiaA

  IF Atox == Dtox  
     Win_3x.Label_01.VALUE  := HB_USUBSTR(DTOC(DATE()),7,4)
     Win_3x.Label_02.VALUE  := HB_USUBSTR(DTOC(DATE()),1,2)
     aMesSX = CMONTH (DATE())      
     Win_3x.Label_12z.VALUE := aMesSX  
     DiaSem = HB_OEMTOANSI(CDOW(DATE()))  
     Win_3x.Label_13z.VALUE := DiaSem 
   ELSE
     Win_3x.Label_01.VALUE   := HB_USUBSTR(DTOC( ProximaDate ),7,4)        // Número de Año
     Win_3x.Label_02.VALUE   := HB_USUBSTR(DTOC( ProximaDate ),1,2)       //  Número dia semana 
     Win_3x.Label_12z.VALUE  := ProximoMes                                //  Nombre del Mes
     Win_3x.Label_13z.VALUE  := ProxiNomDia                                // Nombre dia semana 
  ENDIF

 return nil

*-----------------------------*
FUNCTION MiraxDias()
*-----------------------------*

  ProxiNomDia := HB_OEMTOANSI( CDOW(RECORDER->FECHA_P))  
  ProximoMes  := CMONTH ( RECORDER->FECHA_P ) 

  Win_3x.Label_01.VALUE   := HB_USUBSTR(DTOC( RECORDER->FECHA_P ),7,4)    // Número de Año
  Win_3x.Label_02.VALUE   := HB_USUBSTR(DTOC( RECORDER->FECHA_P ),1,2)   //  Número dia semana 
  Win_3x.Label_12z.VALUE  := ProximoMes                                  //  Nombre del Mes
  Win_3x.Label_13z.VALUE  := ProxiNomDia    
  Win_3x.Date_1.VALUE     := RECORDER->FECHA_P 

 return nil 


*-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-*



*---------------------------------------*
#pragma BEGINDUMP

#include <windows.h>
#include "hbapi.h"

HB_FUNC ( SENDMESSAGESTRING )
{
  hb_retnl( (LONG) SendMessage( (HWND) hb_parnl(1), (UINT) hb_parni(2), (WPARAM) hb_parnl(3), (LPARAM) (LPSTR) hb_parc(4) ) );
}

#pragma ENDDUMP
*---------------------------------------*
#pragma BEGINDUMP

#include <windows.h>

#include <winuser.h>

#include "hbapi.h"

#define VK1_A 65
#define VK1_C 67
#define VK1_V 86
#define VK1_X 88
/* select all - ctrl-a */
HB_FUNC( SEND_SELECTALL )
{
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), 0, 0);
keybd_event(VK1_A, MapVirtualKey(VK1_A, 0), 0, 0);
keybd_event(VK1_A, MapVirtualKey(VK1_A, 0), KEYEVENTF_KEYUP, 0);
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), KEYEVENTF_KEYUP,
0);
}
/* copy - ctrl-c */
HB_FUNC( SEND_COPY )
{
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), 0, 0);
keybd_event(VK1_C, MapVirtualKey(VK1_C, 0), 0, 0);
keybd_event(VK1_C, MapVirtualKey(VK1_C, 0), KEYEVENTF_KEYUP, 0);
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), KEYEVENTF_KEYUP,
0);
}
/* paste - ctrl-v */
HB_FUNC( SEND_PASTE )
{
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), 0, 0);
keybd_event(VK1_V, MapVirtualKey(VK1_V, 0), 0, 0);
keybd_event(VK1_V, MapVirtualKey(VK1_V, 0), KEYEVENTF_KEYUP, 0);
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), KEYEVENTF_KEYUP,
0);
}
/* cut - ctrl-x */
HB_FUNC( SEND_CUT )
{
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), 0, 0);
keybd_event(VK1_X, MapVirtualKey(VK1_X, 0), 0, 0);
keybd_event(VK1_X, MapVirtualKey(VK1_X, 0), KEYEVENTF_KEYUP, 0);
keybd_event(VK_CONTROL, MapVirtualKey(VK_CONTROL, 0), KEYEVENTF_KEYUP,
0);
}
#pragma ENDDUMP

